This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 444414 - kernel: tehuti: check register size
kernel: tehuti: check register size
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: CVE-2008-1675
  Show dependency treegraph
 
Reported: 2008-04-28 06:22 EDT by Jan Lieskovsky
Modified: 2008-05-02 06:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 06:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-04-28 06:22:51 EDT
Description of problem:

Alan Cox has reported the following issue:

<cite>

Random auditing results

tehuti has no security checks on the do_ioctl functions and
it has ioctl methods for patch arbitary 32bit offset from
registers with arbitary 32bit value. Nasty hole

</cite>

Version-Release number of selected component (if applicable):
From 2.6.24

  
Actual results:


Expected results:


Additional info:

The Tehuti network driver first appeared in 2.6.24 version of the Linux
kernel:

http://www.linuxhq.com/kernel/v2.6/24/drivers/net/tehuti.h

Proposed upstream patch:

http://git2.kernel.org/?p=linux/kernel/git/davem/net-2.6.git;a=commitdiff;h=6131a2601f42cd7fdbac0e960713396fe68af59f
Comment 2 Jan Lieskovsky 2008-04-28 06:32:36 EDT
Please have a look also at BZ#444416 to see how to move ioctl perm check closer
to function start in the Tehuti driver.
Comment 3 Chuck Ebbert 2008-05-01 02:37:43 EDT
Patch in 2.6.25-13

Note You need to log in before you can comment on or make changes to this bug.